Unable to use Multilib Current

Post here if you are a new Porteus member and you're looking for some help.
Post Reply
JTD
White ninja
White ninja
Posts: 20
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Unable to use Multilib Current

Post#1 by JTD » 07 Oct 2019, 22:18

Good day Porteus community!

I come to you in time of need. You see, the file "0050-multilib-current-x86_64.sxz" is not what it seems to be anymore, there was a time where you could simply rename the extension to ".xzm" and Porteus would automatically recognize it as a module, but with the newer versions of the current file it doesn't work anymore, you get this:

Image

I checked the md5 hash and it matched that of the file, so it's not like I downloaded a tampered file, and if anyone else wants to try and see for thyself here's the link: https://slackware.uk/people/alien-slacklive/bonus/
(I also tried mirrors from other websites and it's always the same "corrupted" message)

I read that ".sxz" is a slackware squashed xz file type, so I tried to unsquash it but to no avail:

Image

I also tried renaming the extension to ".txz" and using the txz2xzm command but it too says the file is corrupt:

Image

I'm assuming something changed or was removed within the new Multilib file (compared to previous versions) which makes Porteus unable to easily recognize it anymore.

Is there anything else that could be done to have current Multilib on Porteus as a module? Maybe a fully ".txz" equivalent on the web that I'm not aware of? Thank you in advance!

donald
Full of knowledge
Full of knowledge
Posts: 1557
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Unable to use Multilib Current

Post#2 by donald » 08 Oct 2019, 02:35

Hello JTD

Seems this file is compressed with zstd
https://slackware.uk/people/alien-slacklive/README

However, porteus 5 is able to unsquash this file so you could
then recompress to xzm.
-- the corrupted module message is gone, module loaded.-- (porteus 4)

Will the xzm module work flawlessly with (old) porteus 4? - I don't know.

JTD
White ninja
White ninja
Posts: 20
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Unable to use Multilib Current

Post#3 by JTD » 08 Oct 2019, 08:14

Thank you donald! That did the trick! The module loaded now. So far the software I tried with it worked flawlessly, so for now this will have to do until the release candidate process is finished, thanks again!

User avatar
Blaze
DEV Team
DEV Team
Posts: 2765
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

Unable to use Multilib Current

Post#4 by Blaze » 08 Oct 2019, 16:00

Linux 5.4.8-porteus #1 SMP Sun Jan 5 09:14:47 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

JTD
White ninja
White ninja
Posts: 20
Joined: 18 Feb 2019, 09:55
Distribution: Porteus-XFCE-v4.0-x86_64

Unable to use Multilib Current

Post#5 by JTD » 08 Oct 2019, 23:08

I will give it a try Blaze! I'm always open for lower size Multilibs as well, so I can fit them on a 1GB USB Drive I have around, thank you so much for your response and link!

babam
Black ninja
Black ninja
Posts: 69
Joined: 16 Nov 2016, 10:30
Distribution: Porteus 3.2.2
Location: Rainy city

Unable to use Multilib Current

Post#6 by babam » 09 Oct 2019, 10:29

Upgrade to squashfs-tools-4.4 ( zstd is required ), unpack and repack with XZ compression ( xzm2dir / dir2xzm ).
Sorry, my English is bad.

Post Reply